Skip to main content
GET
List run network rows

Authorizations

Authorization
string
header
required

API key (dh_live_...) or Auth0 JWT token

Headers

X-DevHelm-Client
string

Calling surface and version, e.g. cli/1.4.0 or sdk-js/2.0.0

Path Parameters

id
string<uuid>
required

Query Parameters

attempt
integer<int32>

In-check attempt (default selected attempt)

failed
boolean

Only rows with status >= 400 or a failure

slow
boolean

Only rows with durationMs >= 1000

stepId
string

Only rows for this step

xhr
boolean

Only xhr, fetch, and api resource types

source
string

page or request

cursor
string

Opaque cursor from the previous page

Response

OK

Network waterfall page

data
object[]
required

Waterfall rows on this page

hasMore
boolean
required

Whether more rows exist beyond this page

caseDurationMs
integer<int64> | null

Case wall time for waterfall bar scale

nextCursor
string | null

Opaque cursor for the next page